AutoDecay

Torsten Eriksson eriksson at OEB.HARVARD.EDU
Wed Feb 15 04:36:00 CST 1995


I've been told by my colleagues that there may be others out there who
might want to use my auto decay tool. Here is a short description:

Background
In wanting to assess the node support in phylogenetic hypotheses, K. Bremer
[The limits of amino acid sequence data in Angiosperm phylogenetic
reconstruction. Evolution. 42: 795-803 (1988)] estimated how much longer a
tree had to be before a particular node was lost. He did this by saving all
shortest trees, the ones one step longer, and then computing a strict
consensus tree. Then adding all cladograms two steps longer and
"consensing" all together, noting which nodes collapsed at each step - and
so on. The difference in length between the shortest three(s) and the
tree(s) collapsing a certain node has then been used as an index of support
for that node ("Decay index").

There is a problem with this approach: Trying to save all trees, say, 10
steps longer than the shortest ones might be impossible for practical
purposes due to limited time and computer memory. A solution was
incorporated (although, it seems, not generally known) in PAUP [Swofford,
D. L. PAUP: Phylogenetic Analysis Using Parsimony (Computer program).
Smithsonian Institution, Washington. (1993)]. Swofford applied reverse
constraints which accomplished the same function. However, and here is why
I actually made this tool, it is kind of tedious to make the constraint
trees needed to test all nodes in a tree.

What Auto Decay does
It reads a nexus file including a trees block with at least one tree. It
decomposes this tree and creates constraint trees for every node. A PAUP
command file is then made with all necessary commands to automatically run
a reverse constraint analysis (batch file in PAUP) for every node in the
tree. It then reads the PAUP log file and computes node support indices for
all nodes.

What Auto Decay is
It is a Hypercard stack which means that an Apple Macintosh is needed. You
will need Hypercard 2.0 or later and HyperCard Player is sufficient. You
also need PAUP 3.1.1. It may be possible to run on older versions of PAUP -
but I have not tried this. If you have only the older version it may be
possible to get the PAUP updater from the PAUP FTP site.

I supply the AutoDecay free of charge and on e-mail only. Send me an e-mail
if you are interested.

Torsten Eriksson
eriksson at oeb.harvard.edu




More information about the Taxacom mailing list